## python-pytest-retry 1.6.3

=== requirements.txt ===
pytest>=7.0.0
black>=23.3.0
mypy>=1.3.0

## python-pytest-retry 1.6.2

=== debian/changelog ===
python-pytest-retry (1.6.2-2) unstable; urgency=medium

  * No-change, source-only upload.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 14 Mar 2024 13:43:19 +0100

python-pytest-retry (1.6.2-1) unstable; urgency=low

  * Initial release; Closes: #1066026

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 11 Mar 2024 08:22:50 +0000

=== debian/control ===
Source: python-pytest-retry
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Build-Depends: debhelper-compat (= 13),
               pybuild-plugin-pyproject,
               python3-setuptools,
               dh-sequence-python3,
               python3-all,
               python3-pytest <!nocheck>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pytest-retry
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pytest-retry.git
Homepage: https://github.com/str0zzapreti/pytest-retry
Rules-Requires-Root: no

Package: python3-pytest-retry
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Enhances: python3-pytest
Description: Adds the ability to retry flaky tests in pytest
 A plugin for Pytest which adds the ability to retry flaky tests,
 thereby improving the consistency of the test suite results.

=== debian/watch ===
version=4
# try also https://pypi.debian.net/pytest-retry/watch
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pytest-retry/pytest-retry-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-pytest-retry 1.6.3

=== debian/changelog ===
python-pytest-retry (1.6.3-1) unstable; urgency=medium

  * Team Upload
  * Adapt d/watch for new archive naming policy
  * New upstream version 1.6.3

 -- Alexandre Detiste <tchet@debian.org>  Sat, 21 Dec 2024 00:10:34 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
+               python3-all,
+               python3-pytest <!nocheck>,
                python3-setuptools,
-               dh-sequence-python3,
-               python3-all,
-               python3-pytest <!nocheck>
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pytest-retry
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pytest-retry.git

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=pytest-retry
%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
# try also https://pypi.debian.net/pytest-retry/watch
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pytest-retry/pytest_retry-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
